Description: <short summary of the patch>
 TODO: Put a short summary on the line above and replace this paragraph
 with a longer explanation of this change. Complete the meta-information
 with other relevant fields (see below for details). To make it easier, the
 information below has been extracted from the changelog. Adjust it or drop
 it.
 .
 python-protorpc-standalone (0.9.1-1) unstable; urgency=medium
 .
   * Initial release. (Closes: #759385)
Author: Thomas Goirand <zigo@debian.org>
Bug-Debian: https://bugs.debian.org/759385

---
The information above should follow the Patch Tagging Guidelines, please
checkout http://dep.debian.net/deps/dep3/ to learn about the format. Here
are templates for supplementary fields that you might want to add:

Origin: <vendor|upstream|other>, <url of original patch>
Bug: <url in upstream bugtracker>
Bug-Debian: https://bugs.debian.org/<bugnumber>
Bug-Ubuntu: https://launchpad.net/bugs/<bugnumber>
Forwarded: <no|not-needed|url proving that it has been forwarded>
Reviewed-By: <name and email of someone who approved the patch>
Last-Update: <YYYY-MM-DD>

--- python-protorpc-standalone-0.9.1.orig/protorpc/_google/net/proto/ProtocolBuffer.py
+++ python-protorpc-standalone-0.9.1/protorpc/_google/net/proto/ProtocolBuffer.py
@@ -282,10 +282,10 @@ class ProtocolMessage:
   def DebugFormatFloat(self, value):
     return "%ff" % value
   def DebugFormatFixed32(self, value):
-    if (value < 0): value += (1L<<32)
+    if (value < 0): value += (1<<32)
     return "0x%x" % value
   def DebugFormatFixed64(self, value):
-    if (value < 0): value += (1L<<64)
+    if (value < 0): value += (1<<64)
     return "0x%x" % value
   def DebugFormatBool(self, value):
     if value:
@@ -349,7 +349,7 @@ class Encoder:
     return
 
   def put32(self, v):
-    if v < 0 or v >= (1L<<32): raise ProtocolBufferEncodeError("u32 too big")
+    if v < 0 or v >= (1<<32): raise ProtocolBufferEncodeError("u32 too big")
     self.buf.append((v >> 0) & 255)
     self.buf.append((v >> 8) & 255)
     self.buf.append((v >> 16) & 255)
@@ -357,7 +357,7 @@ class Encoder:
     return
 
   def put64(self, v):
-    if v < 0 or v >= (1L<<64): raise ProtocolBufferEncodeError("u64 too big")
+    if v < 0 or v >= (1<<64): raise ProtocolBufferEncodeError("u64 too big")
     self.buf.append((v >> 0) & 255)
     self.buf.append((v >> 8) & 255)
     self.buf.append((v >> 16) & 255)
@@ -591,8 +591,8 @@ class Decoder:
 
   def getVarInt64(self):
     result = self.getVarUint64()
-    if result >= (1L << 63):
-      result -= (1L << 64)
+    if result >= (1 << 63):
+      result -= (1 << 64)
     return result
 
   def getVarUint64(self):
@@ -604,7 +604,7 @@ class Decoder:
       result |= (long(b & 127) << shift)
       shift += 7
       if not (b & 128):
-        if result >= (1L << 64): raise ProtocolBufferDecodeError("corrupted")
+        if result >= (1 << 64): raise ProtocolBufferDecodeError("corrupted")
         return result
     return result
 
--- python-protorpc-standalone-0.9.1.orig/protorpc/transport.py
+++ python-protorpc-standalone-0.9.1/protorpc/transport.py
@@ -248,7 +248,7 @@ class HttpTransport(Transport):
       if content_type == self.protocol_config.default_content_type:
         try:
           rpc_status = self.protocol.decode_message(remote.RpcStatus, content)
-        except Exception, decode_err:
+        except Exception as decode_err:
           logging.warning(
             'An error occurred trying to parse status: %s\n%s',
             str(decode_err), content)
@@ -320,12 +320,12 @@ class HttpTransport(Transport):
       # Pass through all ProtoRPC errors
       connection.close()
       raise
-    except socket.error, err:
+    except socket.error as err:
       connection.close()
       raise remote.NetworkError('Socket error: %s %r' % (type(err).__name__,
                                                          err.args),
                                 err)
-    except Exception, err:
+    except Exception as err:
       connection.close()
       raise remote.NetworkError('Error communicating with HTTP server',
                                 err)
--- python-protorpc-standalone-0.9.1.orig/protorpc/transport_test.py
+++ python-protorpc-standalone-0.9.1/protorpc/transport_test.py
@@ -286,7 +286,7 @@ class HttpTransportTest(webapp_test_util
     try:
       try:
         self.connection.send_rpc(my_method.remote, self.request)
-      except remote.NetworkError, err:
+      except remote.NetworkError as err:
         self.assertEquals('Error communicating with HTTP server', str(err))
         self.assertEquals(TypeError, type(err.cause))
         self.assertEquals('Generic Error', str(err.cause))
@@ -303,7 +303,7 @@ class HttpTransportTest(webapp_test_util
     rpc = self.connection.send_rpc(my_method.remote, self.request)
     try:
       rpc.response
-    except remote.ServerError, err:
+    except remote.ServerError as err:
       self.assertEquals('HTTP Error 500: arbitrary error', str(err).strip())
     else:
       self.fail('Expected ServerError')
@@ -316,7 +316,7 @@ class HttpTransportTest(webapp_test_util
     rpc = self.connection.send_rpc(my_method.remote, self.request)
     try:
       rpc.response
-    except remote.ServerError, err:
+    except remote.ServerError as err:
       self.assertEquals('HTTP Error 501: Not Implemented', str(err).strip())
     else:
       self.fail('Expected ServerError')
@@ -331,7 +331,7 @@ class HttpTransportTest(webapp_test_util
     rpc = self.connection.send_rpc(my_method.remote, self.request)
     try:
       rpc.response
-    except remote.RequestError, err:
+    except remote.RequestError as err:
       self.assertEquals('a request error', str(err))
     else:
       self.fail('Expected RequestError')
@@ -346,7 +346,7 @@ class HttpTransportTest(webapp_test_util
     rpc = self.connection.send_rpc(my_method.remote, self.request)
     try:
       rpc.response
-    except remote.ApplicationError, err:
+    except remote.ApplicationError as err:
       self.assertEquals('an app error', str(err))
       self.assertEquals('MY_ERROR_NAME', err.error_name)
     else:
@@ -360,7 +360,7 @@ class HttpTransportTest(webapp_test_util
     rpc = self.connection.send_rpc(my_method.remote, self.request)
     try:
       rpc.response
-    except remote.ServerError, err:
+    except remote.ServerError as err:
       self.assertEquals('HTTP Error 400: oops', str(err))
     else:
       self.fail('Expected ServerError')
@@ -373,7 +373,7 @@ class HttpTransportTest(webapp_test_util
     rpc = self.connection.send_rpc(my_method.remote, self.request)
     try:
       rpc.response
-    except remote.ServerError, err:
+    except remote.ServerError as err:
       self.assertEquals('HTTP Error 400: {"error_message": "x"}', str(err))
     else:
       self.fail('Expected ServerError')
